﻿/*
    Little Registry Optimizer
    Copyright (C) 2008-2009 Little Apps (http://www.littleapps.co.cc/)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Little_Registry_Optimizer
{
    public partial class Options : Form
    {
        public Options()
        {
            InitializeComponent();
        }

        private void Options_Load(object sender, EventArgs e)
        {
            this.textBoxBackups.Text = Properties.Settings.Default.strBackupFolder;
            this.checkBoxUpdates.Checked = Properties.Settings.Default.bAutoUpdate;
            this.checkBoxSysRestore.Checked = Properties.Settings.Default.bAutoSysRestore;
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.strBackupFolder = this.textBoxBackups.Text;
            Properties.Settings.Default.bAutoUpdate = this.checkBoxUpdates.Checked;
            Properties.Settings.Default.bAutoSysRestore = this.checkBoxSysRestore.Checked;

            this.Close();
        }

        private void buttonBrowse_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog fbd = new FolderBrowserDialog();
            fbd.SelectedPath = this.textBoxBackups.Text;
            if (fbd.ShowDialog(this) == DialogResult.OK)
                this.textBoxBackups.Text = fbd.SelectedPath;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
